package idv.cjcat.bunnyhill.nodes {
	import idv.cjcat.bunnyhill.render.visitor.IRenderVisitor;
	
	public class Alpha extends Node {
		
		public var alpha:Number;
		public var child:INode;
		
		public function Alpha(child:INode, alpha:Number = 1) {
			this.alpha = alpha;
		}
		
		override public function render(visitor:IRenderVisitor):void {
			visitor.alphaStack.push(alpha * visitor.alphaStack.top());
			if (child) child.visit(visitor);
			visitor.alphaStack.pop();
		}
	}
}