package idv.cjcat.bunnyhill.render.visitor {
	
	public class NumberStack implements INumberStack {
		
		private var _stack:Vector.<Number> = Vector.<Number>([1]);
		private var _topIndex:int = 0;
		
		public function top():Number {
			return _stack[_topIndex];
		}
		
		public function push(alpha:Number):void {
			if (++_topIndex == _stack.length) {
				_stack.length <<= 1;
			}
			_stack[_topIndex] = alpha;
		}
		
		public function pop():void {
			if(_topIndex) --_topIndex;
		}
		
		public function reset(bottomAlpha:Number = 1):void {
			_stack = Vector.<Number>([bottomAlpha]);
		}
		
		public function dispose():void {
			_stack = null;
		}
	}
}