package idv.cjcat.bunnyhill.shaders {
	import com.adobe.pixelBender3D.utils.ProgramConstantsHelper;
	import flash.display3D.Context3D;
	import flash.display3D.Program3D;
	
	public interface IShaderProgram {
		
		function get program3D():Program3D;
		function get parameters():ProgramConstantsHelper;
		
		function get vertexProgram():IVertexProgram;
		function get materialProgram():IMaterialProgram;
		function get fragmentProgram():IFragmentProgram;
		
		function updateParameters():void;
		function setup(context3D:Context3D):void;
	}
}