package idv.cjcat.bunnyhill.stardust.initializers {
	import idv.cjcat.bunnyhill.geom.Vec2D;
	import idv.cjcat.bunnyhill.nodes.DrawBitmapData;
	import idv.cjcat.bunnyhill.nodes.Transform;
	import idv.cjcat.stardust.common.particles.Particle;
	import idv.cjcat.stardust.twoD.initializers.Initializer2D;
	
	public class BHDrawBitmapData extends Initializer2D {
		
		private var _center:Vec2D = new Vec2D();
		public function get center():Vec2D { return _center; }
		
		public var source:DrawBitmapData;
		
		public function BHDrawBitmapData(source:DrawBitmapData, center:Vec2D = null) {
			this.source = source;
			if (center) this.center.set(center.x, center.y);
		}
		
		override public function initialize(particle:Particle):void {
			var t:BHParticleNode = new BHParticleNode(source);
			t.center.set(center.x, center.y);
			particle.target = t;
		}
	}
}