package idv.cjcat.bunnyhill.stardust.initializers {
	import idv.cjcat.bunnyhill.nodes.INode;
	import idv.cjcat.bunnyhill.nodes.Transform;
	import idv.cjcat.bunnyhill.render.visitor.IRenderVisitor;
	
	public class BHParticleNode extends Transform {
		
		public var alpha:Number;
		
		public function BHParticleNode(child:INode) {
			super(child);
		}
		
		override public function render(visitor:IRenderVisitor):void {
			visitor.alphaStack.push(alpha * visitor.alphaStack.top());
			super.render(visitor);
			visitor.alphaStack.pop();
		}
	}
}