package idv.cjcat.bunnyhill.utils {
	import flash.display3D.Context3D;
	
	public class TextureUtils {
		
		public static function getMinTextureDimension(sourceWidth:Number, sourceHeight:Number):TextureDimensionData {
			var texWidth:int = int(Math.pow(2, Math.ceil(BunnyhillMath.log2(sourceWidth))));
			var texHeight:int = int(Math.pow(2, Math.ceil(BunnyhillMath.log2(sourceHeight))));
			return new TextureDimensionData(
				texWidth, 
				texHeight, 
				sourceWidth / texWidth, 
				sourceHeight / texHeight
			);
		}
	}
}