package idv.cjcat.bunnyhill.nodes {
	import idv.cjcat.bunnyhill.render.visitor.IRenderVisitor;
	
	public class Clear extends Node {
		
		public var red:Number;
		public var green:Number;
		public var blue:Number;
		public var alpha:Number;
		
		public function Clear(red:Number = 0, green:Number = 0, blue:Number = 0, alpha:Number = 1) {
			this.red = red;
			this.green = green;
			this.blue = blue;
			this.alpha = alpha;
		}
		
		override public function render(visitor:IRenderVisitor):void {
			visitor.graphics.clear(red, green, blue, alpha);
		}
	}
}