package idv.cjcat.bunnyhill.render.targets {
	import flash.display3D.Context3D;
	import idv.cjcat.bunnyhill.render.buffer.IRenderBuffer;
	
	public class BufferRenderTarget {
		
		private var _renderBuffer:IRenderBuffer;
		public function get renderBuffer():IRenderBuffer { return _renderBuffer; }
		
		public function BufferRenderTarget(renderBuffer:IRenderBuffer) {
			_renderBuffer = renderBuffer;
		}
		
		public function setup(context3D:Context3D, enableDepthAndStencil:Boolean = true, antiAlias:int = 0):void {
			context3D.setRenderToTexture(_renderBuffer.texture, enableDepthAndStencil, antiAlias);
		}
	}
}