package idv.cjcat.bunnyhill.render.visitor {
	import flash.geom.Matrix3D;
	import idv.cjcat.bunnyhill.IDisposable;
	
	public interface IMatrixStack extends IDisposable {
		
		function top():Matrix3D;
		
		function push(matrix:Matrix3D):void;
		function pushAppend(matrix:Matrix3D):void;
		function pushPrepend(matrix:Matrix3D):void;
		
		function pop():void;
		
		function reset(bottomMatrix:Matrix3D = null):void;
	}
}